BOOT_SPARC64(8)

NAME
boot_sparc64 - sparc64 system bootstrapping procedures

DESCRIPTION

  System starts
When powered on, after a panic, or if the system is rebooted via reboot(8) or shutdown(8), the PROM will proceed to its initialization, and will boot an operating system if autoboot is enabled.

  Boot process description
System boot blocks are installed near the start of the boot disk using the procedure described in installboot(8). The boot program attempts to load the kernel from the selected boot device, which must currently be an SCSI (sd) or IDE (wd) disk drive, or a CD-ROM (cd), or an SCSI tape drive (st).

The UltraSPARC Open Firmware will normally look for a bootloader on the device specified by the boot-device variable. The OpenBSD bootloader will then look for a kernel named bsd by default, unless the boot-file variable is set, or a different filename has been specified in the boot command. To reset this variable to its default, empty, value, type the following:

    ok set-default boot-file

To boot from a softraid(4) volume by default, boot-device must be set to a disk device hosting a chunk of the softraid volume:

    ok setenv boot-device disk0

and boot-file must contain the (sr) device name of the softraid volume and optionally a partition letter and/or kernel:

    ok setenv boot-file sr0a:/bsd

Autoboot is enabled by setting the auto-boot? variable to “true”, and is the factory default.

  Boot process options
The following options are recognized:

-a  Prompt for the root filesystem and swap devices after the devices have been configured.
-c  Enter the “User Kernel Configuration” mode upon startup (see boot_config(8)).
-d  Enter the debugger, ddb(4), as soon as the kernel console has been initialized.
-s  Boot the system single-user. The system will be booted multi-user unless this option is specified.

  Accessing the PROM during runtime
If the sysctl(8) variable ddb.console is enabled, at any time you can break back to the ROM by pressing the ‘L1’ (also known as the “stop key”) and ‘a’ keys at the same time (if the console is a serial port the same is achieved by sending a “break”), and entering machine prom at the prompt. If you do this accidentally you can continue whatever was in progress by typing go at the PROM prompt, and then cont to return to the system.

FILES
/bsd
    default system kernel
/bsd.rd
    standalone installation kernel, suitable for disaster recovery
/usr/mdec/bootblk
    primary bootstrap for “ffs” file system
/usr/mdec/ofwboot
    secondary bootstrap (usually also installed as /ofwboot)
/usr/mdec/ofwboot.net
    network bootstrap
/usr/mdec/ofwbootfd
    floppy disk bootstrap

SEE ALSO
ddb(4), softraid(4), boot_config(8), halt(8), init(8), installboot(8), reboot(8), savecore(8), shutdown(8)